Page MenuHomePhabricator

No position slider/seek bar is displayed for audio player
Closed, ResolvedPublic

Description

The video player includes a position slider/seek bar. Audio doesn't.

An example use case for a slider is the user rewinding a little bit to hear a segment that they missed the first time.

Examples of both
https://commons.wikimedia.org/wiki/Commons:Timed_Text_Demo_Page
https://en.wikipedia.org/wiki/Template:Listen

A related problem is that when the parameter end=10:00 is added, the audio stops at that position, but the player will continue to play from 10:00. The user can't go back to the beginning to play the same segment again. See

https://en.wikisource.org/wiki/Page:Ian_Charlton.ogg/1


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=11253

Details

Reference
bz54370
Related Gerrit Patches:
mediawiki/extensions/TimedMediaHandler : masterAllow audio player to be larger than 220px

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:04 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz54370.
jayvdb created this task.Sep 20 2013, 9:54 AM

Note that the standard <audio> player in Firefox and Chrome has this feature; the mediawiki player does not.

mdale wrote:

Perviously the audio player would take up the target size and display a playhead if it could.

Somehow its no longer respecting the width provided. We should fix.

brion added a subscriber: brion.Jul 21 2015, 1:04 AM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 21 2015, 1:04 AM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:38 PM
TheDJ moved this task from To sort to Player on the TimedMediaHandler board.Oct 25 2015, 2:16 PM

I came to report this again and found this old bug. I accidentally closed my window playing Wikipedia Weekly on the Signpost on my Samsung Tab, and found I can't resume where I was in the steam. :(

Change 278573 had a related patch set uploaded (by TheDJ):
Allow audio player to be larger than 220px

https://gerrit.wikimedia.org/r/278573

TheDJ moved this task from Player to Doing on the TimedMediaHandler board.Mar 20 2016, 10:38 PM
TheDJ closed this task as Resolved.Apr 1 2016, 7:10 PM
TheDJ claimed this task.
TheDJ removed a project: Patch-For-Review.
TheDJ moved this task from Doing to Done on the TimedMediaHandler board.

Change 278573 merged by jenkins-bot:
Allow audio player to be larger than 220px

https://gerrit.wikimedia.org/r/278573

TheDJ added a comment.EditedApr 1 2016, 8:51 PM

BTW. I expect quite a few usages of the audio player inside wikipedia pages will now suddenly be bigger than people expect. Should we do a User-notice for this ?

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptThu, Nov 7, 4:03 PM